{{- with .Values.prometheusRule -}}
{{- if .enabled }}
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  name: {{ include "ps-security.fullname" $ }}
  {{- with .namespace }}
  namespace: {{ . }}
  {{- else }}
  namespace: {{ $.Release.Namespace }}
  {{- end }}
  {{- with .annotations }}
  annotations:
  {{- range $key, $value := . }}
  {{- printf "%s: %s" $key (tpl $value $ | quote) | nindent 4 }}
  {{- end }}
  {{- end }}
  labels:
  {{- include "ps-security.labels" $ | nindent 4 }}
  {{- range $key, $value := .labels }}
  {{- printf "%s: %s" $key (tpl $value $ | quote) | nindent 4 }}
  {{- end }}
spec:
  groups:
    - name: {{ include "ps-security.fullname" $ }}
      rules:
        {{- toYaml .rules | nindent 8 }}
{{- end }}
{{- end -}}
